.main {
  background: #fffafa;
  padding-bottom: 50px;
}

.banner_detail {
  display: flex;
  justify-content: center;
  background-repeat: no-repeat;
  background-size: cover;
  font-family: Montserrat;
  min-height: 398px;
}
.contents {
  width: 80%;
  display: flex;
  justify-content: space-between;
}
.detail_content {
  color: white;
  align-items: center;
  height: 80%;
  width: 50%;
  align-items: flex-start;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  gap: 1rem;
}

.btn_detail {
  padding: 0.5em 2em;
  border-radius: 2px;
  background-color: #ef9c27;
  color: #fff;
}
.btn_detail_enroll {
  display: none;
  padding: 0.5em 2em;
  border-radius: 2px;
  background-color: #ef9c27;
  color: #fff;
}

.detail_box {
  height: 490px;
  width: 470px;
  background: white;
  box-sizing: border-box;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
  transform: translateY(200px);
  z-index: 2;
}

.content1 {
  display: flex;
  justify-content: space-around;
  text-align: center;
  padding-top: 20px;
  flex-wrap: wrap;
  overflow: hidden;
}
.content1:hover{
  cursor: pointer;
}
.detail_box .p1 {
  font-style: normal;
  font-weight: bold;
  font-size: 24px;
  line-height: 29px;
  color: #ef9c27;
  margin-bottom: 5px;
}

.detail_box .p2 {
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 17px;
  color: #000000;
}
.content2 {
  width: 90%;
  height: 70%;
  margin: 2rem auto;
}
.content2 h5 {
  font-family: Montserrat;
  font-style: normal;
  font-weight: bold;
  font-size: 14px;
  line-height: 17px;
}

.list_contents {
  width: 90%;
  margin: 0 auto;
  min-height: 54px;
  border-bottom: 2px solid #e6e6e6;
  box-sizing: border-box;
}
.list_contents:hover {
  background: #eaf7fe;
  cursor: pointer;
}

.list_contents p {
  font-family: Montserrat;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  color: #000000;
  padding-top: 15px;
  padding-bottom: 15px;
}

.description_detail {
  max-width: 80%;
  min-height: 100px;
  margin: 0 auto;
}

.description_content {
  max-width: 50%;
  height: max-content;
  margin: 3rem 0;
}
.description_content h5 {
  font-style: normal;
  font-weight: bold;
  font-size: 14px;
  line-height: 17px;
  color: #000000;
}

.description_content p {
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 24px;
  color: #000000;
}

.popup_contents {
  display: flex;
  gap: 1rem;
}

.popup_contents img {
  width: 239px;
  height: 133px;
  background-size: cover;
}

.popup_detail .p1 {
  color: #61d3a4;
  margin-bottom: 10px;
}

.popup_detail .p2 {
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 20px;
  margin-bottom: 10px;

  color: #000000;
}

.popup_detail .p3 {
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 17px;
  color: #999999;
}

.cards {
  background-color: #fff;
  margin: 110px 0 0;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 50px 40px;
}

.card-container {
  width: 85%;
  box-sizing: border-box;
}
.card-list {
  display: grid;
  height: max-content;
  grid-template-columns: repeat(4, 1fr);
  gap: 25px;
}
.card-list a{
  color: #000000;
  display: grid;
}
.cards h2 {
  font-size: 1rem;
  font-weight: 700;
  margin-bottom: 30px;
}

@media (min-width: 1600px) {
  .main {
    width: 1600px;
    margin: auto;
  }
}

@media (max-width: 1200px) {
  .detail_box {
    height: 390px;
    width: 370px;
  }
  .detail_content {
    height: 50%;
    width: 50%;
    gap: 12px;
  }
  .detail_content h3 {
    font-size: 1.5rem;
  }
  .btn_detail {
    padding: 0.3em 1em;
    font-size: 15px;
  }
  .content1 {
    padding-top: 15px;
  }
  .detail_box .p1 {
    font-size: 22px;
    line-height: 26px;
    margin-bottom: 5px;
  }

  .detail_box .p2 {
    font-size: 12px;
    line-height: 15px;
  }
  .content2 {
    width: 80%;
    margin: 1.5rem auto;
  }
  .content2 h5 {
    font-size: 12px;
    line-height: 15px;
  }
  .list_contents {
    width: 80%;
    min-height: 48px;
  }
  .list_contents p {
    font-size: 12px;
    padding-top: 13px;
    padding-bottom: 13px;
  }

  .description_content h5 {
    font-size: 12px;
  }
  .description_content p {
    font-size: 12px;
    line-height: 20px;
  }
}

@media (max-width: 992px) {
  .contents {
    width: 90%;
  }
  .detail_box {
    height: 365px;
    width: 350px;
    transform: translateY(80px);
  }
  .detail_content {
    width: 40%;
    gap: 10px;
  }
  .detail_content h3 {
    font-size: 1.2rem;
  }

  .content1 {
    padding-top: 13px;
  }
  .detail_box .p1 {
    font-size: 20px;
    line-height: 24px;
    margin-bottom: 4px;
  }

  .detail_box .p2 {
    font-size: 10px;
    line-height: 13px;
  }
  .description_detail {
    max-width: 90%;
  }
  .description_content {
    max-width: 100%;
    margin: 3rem 0 0 0;
  }
  .card-list {
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
  }
}
@media (max-width: 768px) {
  .contents {
    width: 65%;
    flex-direction: column;
    margin-top: 20px;
  }
  .detail_box {
    height: 350px;
    width: 100%;
    transform: none;
    margin: 20px 0;
  }
  .detail_content {
    width: 100%;
    gap: 6px;
  }
  .content1 {
    padding-top: 13px;
  }
  .detail_box .p1 {
    font-size: 20px;
    line-height: 24px;
    margin-bottom: 4px;
  }

  .detail_box .p2 {
    font-size: 10px;
    line-height: 13px;
  }
  .list_contents {
    min-height: 40px;
  }
}
